:root {
--branco: hsl(0, 0%, 100%);
--cinza-claro: hsl(217, 12%, 63%);
--cinza-medio: hsl(216, 12%, 54%);
--azul-escuro: hsl(213, 19%, 18%);
--azul-muito-escuro: hsl(216, 12%, 8%);
--laranja: hsl(25, 97%, 53%);
}

body {
    font-family: 'Overpass', sans-serif;
    background: var(--azul-muito-escuro);
    height: 100vh;
    width: 100vw;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.caixa {
    width: 20em;
    height: 20em;
    background: var(--azul-escuro);
    color: var(--branco);
    display: flex;
    flex-direction: column;
    justify-content: center;
    border-radius: 20px;
    margin: 10px;
    padding: 20px;
}

.icone {
    background-color: hsl(213, 20%, 24%);
    padding: 10px;
    border-radius: 30px;
    box-sizing: border-box;
}

.titulo {
    font-size: 20px;
    font-weight: bolder;
    font-family: 'Overpass', sans-serif;
    margin-top: 40px;
    margin-bottom: 20px;
    color: var(--branco);
}

.texto {
    font-size: 14px;
    font-family: 'Overpass', sans-serif;
    line-height: 18px;
    color: var(--cinza-medio);
    text-align: justify;
}

.opcoes {
    font-family: 'Overpass', sans-serif;
    background-color: hsl(213, 20%, 24%);
    color: var(--cinza-claro);
    text-align: center;
    width: 36px;
    padding: 9px;
    margin: 25px 10px;
    font-size: 14px;
    font-weight: 700;
    border: none;
    border-radius: 30px;
}

.opcoes:hover {
    background-color: var(--laranja);
    color: var(--branco);
    cursor: pointer;
}

.opcoes:focus {
    background-color: var(--cinza-claro);
    color: var(--branco);
}

.botao {
    align-items: center;
    display: flex;
    justify-content: center;
}

.obg {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    text-align: center;

}

.enviar {
    text-align: center;
    font-family: 'Overpass', sans-serif;
    font-size: 15px;
    background-color: var(--laranja);
    color: var(--branco);
    width: 300px;
    height: 40px;
    border: none;
    border-radius: 20px;
    text-decoration: none;
    text-transform: uppercase;
}

.classificar_novamente {
    text-align: center;
    font-family: 'Overpass', sans-serif;
    font-size: 15px;
    background-color: var(--laranja);
    color: var(--branco);
    width: 220px;
    height: 30px;
    border: none;
    border-radius: 20px;
    text-decoration: none;
    text-transform: uppercase;
}

.enviar:hover, .classificar_novamente:hover {
    background-color: var(--branco);
    color: var(--laranja);
    font-weight: bold;
    cursor: pointer;
}

.agradecimento {
    width: 200px;
    height: 130px;
    margin-bottom: 20px;
    margin-left: 45px;
}

.titulo_dois {
    text-align: center;
    font-size: 20px;
    font-weight: bolder;
    font-family: 'Overpass', sans-serif;
    margin-top: 30px;
    margin-bottom: 15px;
    color: var(--branco);   
}

.texto_agradecimento {
    font-size: 15px;
    font-family: 'Overpass', sans-serif;
    line-height: 16px;
    color: var(--cinza-medio);
    text-align: center;
    margin-bottom: 10px;
}

.hidden {
    display: none;
}

.classificacao_escolhida {
    width: 180px;
    font-size: 15px;
    background: hsl(212, 17%, 23%);
    border-radius: 30px;
    font-family: 'Overpass', sans-serif;
    color: var(--laranja);
    text-align: center;
    padding: 2px;
}

.attribution { 
    color: var(--cinza-medio);
    font-size: 13px; 
    text-align: center; 
}

.attribution a { 
    color: rgb(105, 105, 221)
}